/*
 * ################################################################
 *
 *                    Fractal GCM Management API
 *
 * Copyright (C) 2009 INRIA, University of
 *                    Nice-Sophia Antipolis, ActiveEon
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: proactive@ow2.org
 *
 * Authors: INRIA, University of Nice-Sophia Antipolis, ActiveEon.
 *
 * ################################################################
 */
package org.etsi.uri.gcm.api.control;

import org.objectweb.fractal.api.control.IllegalLifeCycleException;
import org.objectweb.fractal.api.control.LifeCycleController;


/**
 * Component interface to control the lifecycle of the component to which it belongs. This interface is an
 * extension for GCM of the standard Fractal {@link LifeCycleController} interface.
 *
 * @author INRIA, University of Nice-Sophia Antipolis, ActiveEon
 * @see LifeCycleController
 */
public interface GCMLifeCycleController extends LifeCycleController {

    /**
     * Terminate the component to which this interface belongs.
     *
     * @throws IllegalLifeCycleException If the component to which this interface belongs is not in an
     * appropriate state to perform this operation.
     */
    void terminateGCMComponent() throws IllegalLifeCycleException;
}
